source: squid-ssl/trunk/fuentes/helpers/digest_auth/eDirectory/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 41.8 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# helpers/digest_auth/eDirectory/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92TESTS =
93am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = digest_edirectory_auth$(EXEEXT)
95subdir = helpers/digest_auth/eDirectory
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_digest_edirectory_auth_OBJECTS = digest_pw_auth.$(OBJEXT) \
165        ldap_backend.$(OBJEXT) edir_ldapext.$(OBJEXT)
166digest_edirectory_auth_OBJECTS = $(am_digest_edirectory_auth_OBJECTS)
167#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170am__DEPENDENCIES_3 =
171digest_edirectory_auth_DEPENDENCIES =  \
172        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
173        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
174        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
175        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3)
176AM_V_lt = $(am__v_lt_$(V))
177am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
178am__v_lt_0 = --silent
179am__v_lt_1 = 
180AM_V_P = $(am__v_P_$(V))
181am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
182am__v_P_0 = false
183am__v_P_1 = :
184AM_V_GEN = $(am__v_GEN_$(V))
185am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
186am__v_GEN_0 = @echo "  GEN     " $@;
187am__v_GEN_1 = 
188AM_V_at = $(am__v_at_$(V))
189am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
190am__v_at_0 = @
191am__v_at_1 = 
192DEFAULT_INCLUDES = 
193depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
194am__depfiles_maybe = depfiles
195am__mv = mv -f
196CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
197        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
198LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
199        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
200        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
201        $(AM_CXXFLAGS) $(CXXFLAGS)
202AM_V_CXX = $(am__v_CXX_$(V))
203am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
204am__v_CXX_0 = @echo "  CXX     " $@;
205am__v_CXX_1 = 
206CXXLD = $(CXX)
207CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
208        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
209        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
210AM_V_CXXLD = $(am__v_CXXLD_$(V))
211am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
212am__v_CXXLD_0 = @echo "  CXXLD   " $@;
213am__v_CXXLD_1 = 
214COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
215        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
216LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
217        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
218        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
219        $(AM_CFLAGS) $(CFLAGS)
220AM_V_CC = $(am__v_CC_$(V))
221am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
222am__v_CC_0 = @echo "  CC      " $@;
223am__v_CC_1 = 
224CCLD = $(CC)
225LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
226        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
227        $(AM_LDFLAGS) $(LDFLAGS) -o $@
228AM_V_CCLD = $(am__v_CCLD_$(V))
229am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
230am__v_CCLD_0 = @echo "  CCLD    " $@;
231am__v_CCLD_1 = 
232SOURCES = $(digest_edirectory_auth_SOURCES)
233DIST_SOURCES = $(digest_edirectory_auth_SOURCES)
234am__can_run_installinfo = \
235  case $$AM_UPDATE_INFO_DIR in \
236    n|no|NO) false;; \
237    *) (install-info --version) >/dev/null 2>&1;; \
238  esac
239am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
240# Read a list of newline-separated strings from the standard input,
241# and print each of them once, without duplicates.  Input order is
242# *not* preserved.
243am__uniquify_input = $(AWK) '\
244  BEGIN { nonempty = 0; } \
245  { items[$$0] = 1; nonempty = 1; } \
246  END { if (nonempty) { for (i in items) print i; }; } \
247'
248# Make sure the list of sources is unique.  This is necessary because,
249# e.g., the same source file might be shared among _SOURCES variables
250# for different programs/libraries.
251am__define_uniq_tagged_files = \
252  list='$(am__tagged_files)'; \
253  unique=`for i in $$list; do \
254    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
255  done | $(am__uniquify_input)`
256ETAGS = etags
257CTAGS = ctags
258am__tty_colors_dummy = \
259  mgn= red= grn= lgn= blu= brg= std=; \
260  am__color_tests=no
261am__tty_colors = { \
262  $(am__tty_colors_dummy); \
263  if test "X$(AM_COLOR_TESTS)" = Xno; then \
264    am__color_tests=no; \
265  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
266    am__color_tests=yes; \
267  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
268    am__color_tests=yes; \
269  fi; \
270  if test $$am__color_tests = yes; then \
271    red='[0;31m'; \
272    grn='[0;32m'; \
273    lgn='[1;32m'; \
274    blu='[1;34m'; \
275    mgn='[0;35m'; \
276    brg='[1m'; \
277    std='[m'; \
278  fi; \
279}
280am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
281am__vpath_adj = case $$p in \
282    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
283    *) f=$$p;; \
284  esac;
285am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
286am__install_max = 40
287am__nobase_strip_setup = \
288  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
289am__nobase_strip = \
290  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
291am__nobase_list = $(am__nobase_strip_setup); \
292  for p in $$list; do echo "$$p $$p"; done | \
293  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
294  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
295    if (++n[$$2] == $(am__install_max)) \
296      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
297    END { for (dir in files) print dir, files[dir] }'
298am__base_list = \
299  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
300  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
301am__uninstall_files_from_dir = { \
302  test -z "$$files" \
303    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
304    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
305         $(am__cd) "$$dir" && rm -f $$files; }; \
306  }
307am__recheck_rx = ^[     ]*:recheck:[    ]*
308am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
309am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
310# A command that, given a newline-separated list of test names on the
311# standard input, print the name of the tests that are to be re-run
312# upon "make recheck".
313am__list_recheck_tests = $(AWK) '{ \
314  recheck = 1; \
315  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
316    { \
317      if (rc < 0) \
318        { \
319          if ((getline line2 < ($$0 ".log")) < 0) \
320            recheck = 0; \
321          break; \
322        } \
323      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
324        { \
325          recheck = 0; \
326          break; \
327        } \
328      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
329        { \
330          break; \
331        } \
332    }; \
333  if (recheck) \
334    print $$0; \
335  close ($$0 ".trs"); \
336  close ($$0 ".log"); \
337}'
338# A command that, given a newline-separated list of test names on the
339# standard input, create the global log from their .trs and .log files.
340am__create_global_log = $(AWK) ' \
341function fatal(msg) \
342{ \
343  print "fatal: making $@: " msg | "cat >&2"; \
344  exit 1; \
345} \
346function rst_section(header) \
347{ \
348  print header; \
349  len = length(header); \
350  for (i = 1; i <= len; i = i + 1) \
351    printf "="; \
352  printf "\n\n"; \
353} \
354{ \
355  copy_in_global_log = 1; \
356  global_test_result = "RUN"; \
357  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
358    { \
359      if (rc < 0) \
360         fatal("failed to read from " $$0 ".trs"); \
361      if (line ~ /$(am__global_test_result_rx)/) \
362        { \
363          sub("$(am__global_test_result_rx)", "", line); \
364          sub("[        ]*$$", "", line); \
365          global_test_result = line; \
366        } \
367      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
368        copy_in_global_log = 0; \
369    }; \
370  if (copy_in_global_log) \
371    { \
372      rst_section(global_test_result ": " $$0); \
373      while ((rc = (getline line < ($$0 ".log"))) != 0) \
374      { \
375        if (rc < 0) \
376          fatal("failed to read from " $$0 ".log"); \
377        print line; \
378      }; \
379      printf "\n"; \
380    }; \
381  close ($$0 ".trs"); \
382  close ($$0 ".log"); \
383}'
384# Restructured Text title.
385am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
386# Solaris 10 'make', and several other traditional 'make' implementations,
387# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
388# by disabling -e (using the XSI extension "set +e") if it's set.
389am__sh_e_setup = case $$- in *e*) set +e;; esac
390# Default flags passed to test drivers.
391am__common_driver_flags = \
392  --color-tests "$$am__color_tests" \
393  --enable-hard-errors "$$am__enable_hard_errors" \
394  --expect-failure "$$am__expect_failure"
395# To be inserted before the command running the test.  Creates the
396# directory for the log if needed.  Stores in $dir the directory
397# containing $f, in $tst the test, in $log the log.  Executes the
398# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
399# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
400# will run the test scripts (or their associated LOG_COMPILER, if
401# thy have one).
402am__check_pre = \
403$(am__sh_e_setup);                                      \
404$(am__vpath_adj_setup) $(am__vpath_adj)                 \
405$(am__tty_colors);                                      \
406srcdir=$(srcdir); export srcdir;                        \
407case "$@" in                                            \
408  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
409    *) am__odir=.;;                                     \
410esac;                                                   \
411test "x$$am__odir" = x"." || test -d "$$am__odir"       \
412  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
413if test -f "./$$f"; then dir=./;                        \
414elif test -f "$$f"; then dir=;                          \
415else dir="$(srcdir)/"; fi;                              \
416tst=$$dir$$f; log='$@';                                 \
417if test -n '$(DISABLE_HARD_ERRORS)'; then               \
418  am__enable_hard_errors=no;                            \
419else                                                    \
420  am__enable_hard_errors=yes;                           \
421fi;                                                     \
422case " $(XFAIL_TESTS) " in                              \
423  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
424    am__expect_failure=yes;;                            \
425  *)                                                    \
426    am__expect_failure=no;;                             \
427esac;                                                   \
428$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
429# A shell command to get the names of the tests scripts with any registered
430# extension removed (i.e., equivalently, the names of the test logs, with
431# the '.log' extension removed).  The result is saved in the shell variable
432# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
433# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
434# since that might cause problem with VPATH rewrites for suffix-less tests.
435# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
436am__set_TESTS_bases = \
437  bases='$(TEST_LOGS)'; \
438  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
439  bases=`echo $$bases`
440RECHECK_LOGS = $(TEST_LOGS)
441AM_RECURSIVE_TARGETS = check recheck
442TEST_SUITE_LOG = test-suite.log
443TEST_EXTENSIONS =  .test
444am__test_logs1 = $(TESTS:=.log)
445am__test_logs2 = $(am__test_logs1:.log=.log)
446TEST_LOGS = $(am__test_logs2:.test.log=.log)
447TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
448TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
449        $(TEST_LOG_FLAGS)
450am__set_b = \
451  case '$@' in \
452    */*) \
453      case '$*' in \
454        */*) b='$*';; \
455          *) b=`echo '$@' | sed 's/\.log$$//'`; \
456       esac;; \
457    *) \
458      b='$*';; \
459  esac
460am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
461        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
462DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
463ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
464ADAPTATION_LIBS = adaptation/libadaptation.la
465ALLOCA =
466AMTAR = $${TAR-tar}
467AM_DEFAULT_VERBOSITY = 1
468AR = /usr/bin/ar
469AR_R = /usr/bin/ar r
470AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
471AUTH_MODULES =  basic digest negotiate ntlm
472AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
473AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
474AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
475AWK = gawk
476BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
477BUILDCXX = g++
478BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
479BZR =
480CACHE_EFFECTIVE_USER = proxy
481CC = gcc
482CCDEPMODE = depmode=none
483CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
484CGIEXT = .cgi
485CHMOD = /bin/chmod
486CPP = gcc -E
487CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
488CPPUNITCONFIG = /usr/bin/cppunit-config
489CRYPTLIB = -lcrypt
490CXX = g++
491CXXCPP = g++ -E
492CXXDEPMODE = depmode=none
493CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
494CYGPATH_W = echo
495DEFAULT_HOSTS = /etc/hosts
496DEFAULT_LOG_DIR = /var/log/squid-ssl
497DEFAULT_PID_FILE = /var/run/squid-ssl.pid
498DEFAULT_SWAP_DIR = /var/spool/squid-ssl
499DEFS = -DHAVE_CONFIG_H
500DEPDIR = .deps
501DIGEST_AUTH_HELPERS =  file LDAP
502DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
503DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
504DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
505DISK_OS_LIBS =  -lrt -lpthread
506DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
507DLLTOOL = false
508DSYMUTIL =
509DUMPBIN =
510ECAP_LIBS = ecap/libsquid-ecap.la
511ECHO_C =
512ECHO_N = -n
513ECHO_T =
514EGREP = /bin/egrep
515EPOLL_LIBS =
516EUILIB =
517EXEEXT =
518EXPATLIB = -lexpat
519EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
520EXT_LIBECAP_CFLAGS =
521EXT_LIBECAP_LIBS = -lecap
522FALSE = /bin/false
523FGREP = /bin/fgrep
524GREP = grep
525HAVE_CXX11 = 1
526ICAP_LIBS = icap/libicap.la
527INCLTDL =
528INSTALL = /usr/bin/install -c
529INSTALL_DATA = ${INSTALL} -m 644
530INSTALL_PROGRAM = ${INSTALL}
531INSTALL_SCRIPT = ${INSTALL}
532INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
533KRB5INCS = -isystem /usr/include/mit-krb5
534KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
535LBERLIB = -llber
536LD = /usr/bin/ld -m elf_x86_64
537LDAPLIB = -lldap
538LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
539LIBADD_DL = -ldl
540LIBADD_DLD_LINK =
541LIBADD_DLOPEN = -ldl
542LIBADD_SHL_LOAD =
543LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
544LIBGNUTLS_LIBS = -lgnutls
545LIBLTDL = -lltdl
546LIBOBJS =
547LIBOPENSSL_CFLAGS =
548LIBOPENSSL_LIBS = -lssl -lcrypto
549LIBS =
550LIBSASL = -lsasl2
551LIBTOOL = $(SHELL) $(top_builddir)/libtool
552LIB_DB = -ldb
553LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
554LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
555LINUXDOC = /bin/false
556LIPO =
557LN = /bin/ln
558LN_S = ln -s
559LOG_DAEMON_HELPERS =  DB file
560LTDLDEPS =
561LTDLINCL =
562LTDLOPEN = libltdl
563LTLIBOBJS =
564LT_ARGZ_H =
565LT_CONFIG_H = include/autoconf.h
566LT_DLLOADERS =  libltdl/dlopen.la
567LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
568LT_SYS_LIBRARY_PATH =
569MAINT = #
570MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
571MANIFEST_TOOL = :
572MINGW_LIBS =
573MKDIR = /bin/mkdir
574MKDIR_P = /bin/mkdir -p
575MV = /bin/mv
576NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
577NETTLELIB =  -lnettle
578NM = /usr/bin/nm -B
579NMEDIT =
580NTLM_AUTH_HELPERS =  fake smb_lm
581OBJDUMP = objdump
582OBJEXT = o
583OTOOL =
584OTOOL64 =
585PACKAGE = squid
586PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
587PACKAGE_NAME = Squid Web Proxy
588PACKAGE_STRING = Squid Web Proxy 3.5.12
589PACKAGE_TARNAME = squid
590PACKAGE_URL =
591PACKAGE_VERSION = 3.5.12
592PATH_SEPARATOR = :
593PERL = /usr/bin/perl
594PKG_CONFIG = /usr/bin/pkg-config
595PKG_CONFIG_LIBDIR =
596PKG_CONFIG_PATH =
597PO2HTML = off
598PO2TEXT = off
599POD2MAN = /usr/bin/pod2man
600RANLIB = ranlib
601REGEXLIB =
602REPL_LIBS = liblru.a libheap.a
603REPL_OBJS = repl/liblru.a repl/libheap.a
604REPL_POLICIES = lru heap
605RM = /bin/rm -f
606SED = /bin/sed
607SET_MAKE =
608SH = /bin/sh
609SHELL = /bin/bash
610SMBCLIENT = /usr/bin/smbclient
611SNMPLIB = ../lib/snmplib/libsnmplib.la
612SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
613SQUID_CPPUNIT_INC =
614SQUID_CPPUNIT_LA =
615SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
616SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
617SSLLIB =  -lssl -lcrypto  -lgnutls
618STOREID_REWRITE_HELPERS =  file
619STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
620STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
621STORE_TESTS =
622STRIP = strip
623TR = /usr/bin/tr
624TRUE = /bin/true
625URL_REWRITE_HELPERS =  fake
626VERSION = 3.5.12
627WBINFO =
628WIN32_PSAPI =
629XMLLIB = -lxml2
630XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
631XTRA_OBJS =
632abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/digest_auth/eDirectory
633abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/digest_auth/eDirectory
634abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
635abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
636ac_ct_AR =
637ac_ct_CC = gcc
638ac_ct_CXX = g++
639ac_ct_DUMPBIN =
640am__include = include
641am__leading_dot = .
642am__quote =
643am__tar = tar --format=ustar -chf - "$$tardir"
644am__untar = tar -xf -
645bindir = ${exec_prefix}/bin
646build = x86_64-pc-linux-gnu
647build_alias = x86_64-linux-gnu
648build_cpu = x86_64
649build_os = linux-gnu
650build_vendor = pc
651builddir = .
652datadir = /usr/share/squid-ssl
653datarootdir = ${prefix}/share
654docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
655dvidir = ${docdir}
656exec_prefix = ${prefix}
657host = x86_64-pc-linux-gnu
658host_alias =
659host_cpu = x86_64
660host_os = linux-gnu
661host_vendor = pc
662htmldir = ${docdir}
663includedir = ${prefix}/include
664infodir = ${prefix}/share/info
665install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
666krb5_config =
667libdir = ${exec_prefix}/lib
668libexecdir = /usr/lib/squid-ssl
669localedir = ${datarootdir}/locale
670localstatedir = /var
671ltdl_LIBOBJS =  lt__strl.o
672ltdl_LTLIBOBJS =  lt__strl.lo
673mandir = /usr/share/man
674mkdir_p = $(MKDIR_P)
675oldincludedir = /usr/include
676pdfdir = ${docdir}
677prefix = /usr
678program_transform_name = s&$$&-ssl&
679psdir = ${docdir}
680runstatedir = ${localstatedir}/run
681sbindir = ${exec_prefix}/sbin
682sharedstatedir = ${prefix}/com
683srcdir = .
684subdirs =  libltdl
685sys_symbol_underscore = no
686sysconfdir = /etc/squid-ssl
687target_alias =
688top_build_prefix = ../../../
689top_builddir = ../../..
690top_srcdir = ../../..
691AM_CFLAGS = $(SQUID_CFLAGS)
692AM_CXXFLAGS = $(SQUID_CXXFLAGS)
693CLEANFILES =
694AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
695        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
696        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
697        $(am__append_1) -I$(srcdir)
698LIBPROFILER =
699#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
700COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
701subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
702digest_edirectory_auth_SOURCES = digest_pw_auth.cc \
703        digest_common.h \
704        ldap_backend.cc \
705        ldap_backend.h \
706        edir_ldapext.cc \
707        edir_ldapext.h
708
709digest_edirectory_auth_LDADD = \
710        $(top_builddir)/lib/libmiscencoding.la \
711        $(COMPAT_LIB) \
712        $(LDAPLIB) \
713        $(LBERLIB) \
714        $(NETTLELIB) \
715        $(CRYPTLIB) \
716        $(SSLLIB) \
717        $(XTRA_LIBS)
718
719EXTRA_DIST = required.m4
720all: all-am
721
722.SUFFIXES:
723.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
724$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
725        @for dep in $?; do \
726          case '$(am__configure_deps)' in \
727            *$$dep*) \
728              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
729                && { if test -f $@; then exit 0; else break; fi; }; \
730              exit 1;; \
731          esac; \
732        done; \
733        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/digest_auth/eDirectory/Makefile'; \
734        $(am__cd) $(top_srcdir) && \
735          $(AUTOMAKE) --gnu helpers/digest_auth/eDirectory/Makefile
736Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
737        @case '$?' in \
738          *config.status*) \
739            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
740          *) \
741            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
742            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
743        esac;
744$(top_srcdir)/src/Common.am $(am__empty):
745
746$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
747        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
748
749$(top_srcdir)/configure: # $(am__configure_deps)
750        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
751$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
752        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
753$(am__aclocal_m4_deps):
754
755clean-checkPROGRAMS:
756        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
757        echo " rm -f" $$list; \
758        rm -f $$list || exit $$?; \
759        test -n "$(EXEEXT)" || exit 0; \
760        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
761        echo " rm -f" $$list; \
762        rm -f $$list
763install-libexecPROGRAMS: $(libexec_PROGRAMS)
764        @$(NORMAL_INSTALL)
765        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
766        if test -n "$$list"; then \
767          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
768          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
769        fi; \
770        for p in $$list; do echo "$$p $$p"; done | \
771        sed 's/$(EXEEXT)$$//' | \
772        while read p p1; do if test -f $$p \
773         || test -f $$p1 \
774          ; then echo "$$p"; echo "$$p"; else :; fi; \
775        done | \
776        sed -e 'p;s,.*/,,;n;h' \
777            -e 's|.*|.|' \
778            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
779        sed 'N;N;N;s,\n, ,g' | \
780        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
781          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
782            if ($$2 == $$4) files[d] = files[d] " " $$1; \
783            else { print "f", $$3 "/" $$4, $$1; } } \
784          END { for (d in files) print "f", d, files[d] }' | \
785        while read type dir files; do \
786            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
787            test -z "$$files" || { \
788            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
789            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
790            } \
791        ; done
792
793uninstall-libexecPROGRAMS:
794        @$(NORMAL_UNINSTALL)
795        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
796        files=`for p in $$list; do echo "$$p"; done | \
797          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
798              -e 's/$$/$(EXEEXT)/' \
799        `; \
800        test -n "$$list" || exit 0; \
801        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
802        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
803
804clean-libexecPROGRAMS:
805        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
806        echo " rm -f" $$list; \
807        rm -f $$list || exit $$?; \
808        test -n "$(EXEEXT)" || exit 0; \
809        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
810        echo " rm -f" $$list; \
811        rm -f $$list
812
813digest_edirectory_auth$(EXEEXT): $(digest_edirectory_auth_OBJECTS) $(digest_edirectory_auth_DEPENDENCIES) $(EXTRA_digest_edirectory_auth_DEPENDENCIES) 
814        @rm -f digest_edirectory_auth$(EXEEXT)
815        $(AM_V_CXXLD)$(CXXLINK) $(digest_edirectory_auth_OBJECTS) $(digest_edirectory_auth_LDADD) $(LIBS)
816
817mostlyclean-compile:
818        -rm -f *.$(OBJEXT)
819
820distclean-compile:
821        -rm -f *.tab.c
822
823#include ./$(DEPDIR)/digest_pw_auth.Po
824#include ./$(DEPDIR)/edir_ldapext.Po
825#include ./$(DEPDIR)/ldap_backend.Po
826
827.cc.o:
828#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
829#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
830#       $(am__mv) $$depbase.Tpo $$depbase.Po
831#       $(AM_V_CXX)source='$<' object='$@' libtool=no
832#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
833        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
834
835.cc.obj:
836#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
837#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
838#       $(am__mv) $$depbase.Tpo $$depbase.Po
839#       $(AM_V_CXX)source='$<' object='$@' libtool=no
840#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
841        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
842
843.cc.lo:
844#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
845#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
846#       $(am__mv) $$depbase.Tpo $$depbase.Plo
847#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
848#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
849        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
850
851mostlyclean-libtool:
852        -rm -f *.lo
853
854clean-libtool:
855        -rm -rf .libs _libs
856
857ID: $(am__tagged_files)
858        $(am__define_uniq_tagged_files); mkid -fID $$unique
859tags: tags-am
860TAGS: tags
861
862tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
863        set x; \
864        here=`pwd`; \
865        $(am__define_uniq_tagged_files); \
866        shift; \
867        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
868          test -n "$$unique" || unique=$$empty_fix; \
869          if test $$# -gt 0; then \
870            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
871              "$$@" $$unique; \
872          else \
873            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
874              $$unique; \
875          fi; \
876        fi
877ctags: ctags-am
878
879CTAGS: ctags
880ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
881        $(am__define_uniq_tagged_files); \
882        test -z "$(CTAGS_ARGS)$$unique" \
883          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
884             $$unique
885
886GTAGS:
887        here=`$(am__cd) $(top_builddir) && pwd` \
888          && $(am__cd) $(top_srcdir) \
889          && gtags -i $(GTAGS_ARGS) "$$here"
890cscopelist: cscopelist-am
891
892cscopelist-am: $(am__tagged_files)
893        list='$(am__tagged_files)'; \
894        case "$(srcdir)" in \
895          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
896          *) sdir=$(subdir)/$(srcdir) ;; \
897        esac; \
898        for i in $$list; do \
899          if test -f "$$i"; then \
900            echo "$(subdir)/$$i"; \
901          else \
902            echo "$$sdir/$$i"; \
903          fi; \
904        done >> $(top_builddir)/cscope.files
905
906distclean-tags:
907        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
908
909# Recover from deleted '.trs' file; this should ensure that
910# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
911# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
912# to avoid problems with "make -n".
913.log.trs:
914        rm -f $< $@
915        $(MAKE) $(AM_MAKEFLAGS) $<
916
917# Leading 'am--fnord' is there to ensure the list of targets does not
918# expand to empty, as could happen e.g. with make check TESTS=''.
919am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
920am--force-recheck:
921        @:
922
923$(TEST_SUITE_LOG): $(TEST_LOGS)
924        @$(am__set_TESTS_bases); \
925        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
926        redo_bases=`for i in $$bases; do \
927                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
928                    done`; \
929        if test -n "$$redo_bases"; then \
930          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
931          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
932          if $(am__make_dryrun); then :; else \
933            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
934          fi; \
935        fi; \
936        if test -n "$$am__remaking_logs"; then \
937          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
938               "recursion detected" >&2; \
939        elif test -n "$$redo_logs"; then \
940          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
941        fi; \
942        if $(am__make_dryrun); then :; else \
943          st=0;  \
944          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
945          for i in $$redo_bases; do \
946            test -f $$i.trs && test -r $$i.trs \
947              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
948            test -f $$i.log && test -r $$i.log \
949              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
950          done; \
951          test $$st -eq 0 || exit 1; \
952        fi
953        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
954        ws='[   ]'; \
955        results=`for b in $$bases; do echo $$b.trs; done`; \
956        test -n "$$results" || results=/dev/null; \
957        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
958        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
959        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
960        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
961        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
962        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
963        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
964        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
965          success=true; \
966        else \
967          success=false; \
968        fi; \
969        br='==================='; br=$$br$$br$$br$$br; \
970        result_count () \
971        { \
972            if test x"$$1" = x"--maybe-color"; then \
973              maybe_colorize=yes; \
974            elif test x"$$1" = x"--no-color"; then \
975              maybe_colorize=no; \
976            else \
977              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
978            fi; \
979            shift; \
980            desc=$$1 count=$$2; \
981            if test $$maybe_colorize = yes && test $$count -gt 0; then \
982              color_start=$$3 color_end=$$std; \
983            else \
984              color_start= color_end=; \
985            fi; \
986            echo "$${color_start}# $$desc $$count$${color_end}"; \
987        }; \
988        create_testsuite_report () \
989        { \
990          result_count $$1 "TOTAL:" $$all   "$$brg"; \
991          result_count $$1 "PASS: " $$pass  "$$grn"; \
992          result_count $$1 "SKIP: " $$skip  "$$blu"; \
993          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
994          result_count $$1 "FAIL: " $$fail  "$$red"; \
995          result_count $$1 "XPASS:" $$xpass "$$red"; \
996          result_count $$1 "ERROR:" $$error "$$mgn"; \
997        }; \
998        {                                                               \
999          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1000            $(am__rst_title);                                           \
1001          create_testsuite_report --no-color;                           \
1002          echo;                                                         \
1003          echo ".. contents:: :depth: 2";                               \
1004          echo;                                                         \
1005          for b in $$bases; do echo $$b; done                           \
1006            | $(am__create_global_log);                                 \
1007        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1008        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1009        if $$success; then                                              \
1010          col="$$grn";                                                  \
1011         else                                                           \
1012          col="$$red";                                                  \
1013          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1014        fi;                                                             \
1015        echo "$${col}$$br$${std}";                                      \
1016        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1017        echo "$${col}$$br$${std}";                                      \
1018        create_testsuite_report --maybe-color;                          \
1019        echo "$$col$$br$$std";                                          \
1020        if $$success; then :; else                                      \
1021          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1022          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1023            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1024          fi;                                                           \
1025          echo "$$col$$br$$std";                                        \
1026        fi;                                                             \
1027        $$success || exit 1
1028
1029check-TESTS:
1030        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1031        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1032        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1033        @set +e; $(am__set_TESTS_bases); \
1034        log_list=`for i in $$bases; do echo $$i.log; done`; \
1035        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1036        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1037        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1038        exit $$?;
1039recheck: all $(check_PROGRAMS)
1040        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1041        @set +e; $(am__set_TESTS_bases); \
1042        bases=`for i in $$bases; do echo $$i; done \
1043                 | $(am__list_recheck_tests)` || exit 1; \
1044        log_list=`for i in $$bases; do echo $$i.log; done`; \
1045        log_list=`echo $$log_list`; \
1046        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1047                am__force_recheck=am--force-recheck \
1048                TEST_LOGS="$$log_list"; \
1049        exit $$?
1050.test.log:
1051        @p='$<'; \
1052        $(am__set_b); \
1053        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1054        --log-file $$b.log --trs-file $$b.trs \
1055        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1056        "$$tst" $(AM_TESTS_FD_REDIRECT)
1057#.test$(EXEEXT).log:
1058#       @p='$<'; \
1059#       $(am__set_b); \
1060#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1061#       --log-file $$b.log --trs-file $$b.trs \
1062#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1063#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1064
1065distdir: $(DISTFILES)
1066        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1067        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1068        list='$(DISTFILES)'; \
1069          dist_files=`for file in $$list; do echo $$file; done | \
1070          sed -e "s|^$$srcdirstrip/||;t" \
1071              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1072        case $$dist_files in \
1073          */*) $(MKDIR_P) `echo "$$dist_files" | \
1074                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1075                           sort -u` ;; \
1076        esac; \
1077        for file in $$dist_files; do \
1078          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1079          if test -d $$d/$$file; then \
1080            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1081            if test -d "$(distdir)/$$file"; then \
1082              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1083            fi; \
1084            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1085              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1086              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1087            fi; \
1088            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1089          else \
1090            test -f "$(distdir)/$$file" \
1091            || cp -p $$d/$$file "$(distdir)/$$file" \
1092            || exit 1; \
1093          fi; \
1094        done
1095check-am: all-am
1096        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1097        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1098check: check-am
1099all-am: Makefile $(PROGRAMS)
1100installdirs:
1101        for dir in "$(DESTDIR)$(libexecdir)"; do \
1102          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1103        done
1104install: install-am
1105install-exec: install-exec-am
1106install-data: install-data-am
1107uninstall: uninstall-am
1108
1109install-am: all-am
1110        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1111
1112installcheck: installcheck-am
1113install-strip:
1114        if test -z '$(STRIP)'; then \
1115          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1116            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1117              install; \
1118        else \
1119          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1120            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1121            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1122        fi
1123mostlyclean-generic:
1124        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1125        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1126        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1127
1128clean-generic:
1129        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1130
1131distclean-generic:
1132        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1133        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1134
1135maintainer-clean-generic:
1136        @echo "This command is intended for maintainers to use"
1137        @echo "it deletes files that may require special tools to rebuild."
1138clean: clean-am
1139
1140clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1141        clean-libtool mostlyclean-am
1142
1143distclean: distclean-am
1144        -rm -rf ./$(DEPDIR)
1145        -rm -f Makefile
1146distclean-am: clean-am distclean-compile distclean-generic \
1147        distclean-tags
1148
1149dvi: dvi-am
1150
1151dvi-am:
1152
1153html: html-am
1154
1155html-am:
1156
1157info: info-am
1158
1159info-am:
1160
1161install-data-am:
1162
1163install-dvi: install-dvi-am
1164
1165install-dvi-am:
1166
1167install-exec-am: install-libexecPROGRAMS
1168
1169install-html: install-html-am
1170
1171install-html-am:
1172
1173install-info: install-info-am
1174
1175install-info-am:
1176
1177install-man:
1178
1179install-pdf: install-pdf-am
1180
1181install-pdf-am:
1182
1183install-ps: install-ps-am
1184
1185install-ps-am:
1186
1187installcheck-am:
1188
1189maintainer-clean: maintainer-clean-am
1190        -rm -rf ./$(DEPDIR)
1191        -rm -f Makefile
1192maintainer-clean-am: distclean-am maintainer-clean-generic
1193
1194mostlyclean: mostlyclean-am
1195
1196mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1197        mostlyclean-libtool
1198
1199pdf: pdf-am
1200
1201pdf-am:
1202
1203ps: ps-am
1204
1205ps-am:
1206
1207uninstall-am: uninstall-libexecPROGRAMS
1208
1209.MAKE: check-am install-am install-strip
1210
1211.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1212        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1213        clean-libtool cscopelist-am ctags ctags-am distclean \
1214        distclean-compile distclean-generic distclean-libtool \
1215        distclean-tags distdir dvi dvi-am html html-am info info-am \
1216        install install-am install-data install-data-am install-dvi \
1217        install-dvi-am install-exec install-exec-am install-html \
1218        install-html-am install-info install-info-am \
1219        install-libexecPROGRAMS install-man install-pdf install-pdf-am \
1220        install-ps install-ps-am install-strip installcheck \
1221        installcheck-am installdirs maintainer-clean \
1222        maintainer-clean-generic mostlyclean mostlyclean-compile \
1223        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1224        recheck tags tags-am uninstall uninstall-am \
1225        uninstall-libexecPROGRAMS
1226
1227.PRECIOUS: Makefile
1228
1229
1230$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1231
1232# Tell versions [3.59,3.63) of GNU make to not export all variables.
1233# Otherwise a system limit (for SysV at least) may be exceeded.
1234.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.